Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/tests/net ATF wrapping of the npf tests



details:   https://anonhg.NetBSD.org/src/rev/9d678f9f4ad7
branches:  trunk
changeset: 781519:9d678f9f4ad7
user:      martin <martin%NetBSD.org@localhost>
date:      Wed Sep 12 14:06:31 2012 +0000

description:
ATF wrapping of the npf tests

diffstat:

 tests/net/Makefile     |   4 +-
 tests/net/npf/Makefile |  12 +++++++++
 tests/net/npf/t_npf.sh |  62 ++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 76 insertions(+), 2 deletions(-)

diffs (100 lines):

diff -r ed325823cc77 -r 9d678f9f4ad7 tests/net/Makefile
--- a/tests/net/Makefile        Wed Sep 12 14:06:02 2012 +0000
+++ b/tests/net/Makefile        Wed Sep 12 14:06:31 2012 +0000
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile,v 1.12 2012/08/14 19:13:54 alnsn Exp $
+# $NetBSD: Makefile,v 1.13 2012/09/12 14:06:31 martin Exp $
 
 .include <bsd.own.mk>
 
@@ -6,7 +6,7 @@
 
 TESTS_SUBDIRS=         fdpass route sys
 .if (${MKRUMP} != "no")
-TESTS_SUBDIRS+=                bpf bpfilter carp icmp if if_loop net
+TESTS_SUBDIRS+=                bpf bpfilter carp icmp if if_loop net npf
 .endif
 
 .include <bsd.test.mk>
diff -r ed325823cc77 -r 9d678f9f4ad7 tests/net/npf/Makefile
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/net/npf/Makefile    Wed Sep 12 14:06:31 2012 +0000
@@ -0,0 +1,12 @@
+# $NetBSD: Makefile,v 1.1 2012/09/12 14:06:31 martin Exp $
+#
+
+.include <bsd.own.mk>
+
+TESTSDIR=      ${TESTSBASE}/net/npf
+FILESDIR=      ${TESTSDIR}
+
+TESTS_SH=      t_npf
+FILES=         ../../../usr.sbin/npf/npftest/npftest.conf
+
+.include <bsd.test.mk>
diff -r ed325823cc77 -r 9d678f9f4ad7 tests/net/npf/t_npf.sh
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/net/npf/t_npf.sh    Wed Sep 12 14:06:31 2012 +0000
@@ -0,0 +1,62 @@
+# $NetBSD: t_npf.sh,v 1.1 2012/09/12 14:06:31 martin Exp $
+#
+# Copyright (c) 2008, 2010 The NetBSD Foundation, Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
+# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
+# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+
+run_test()
+{
+       local name="${1}"
+
+       atf_check -o ignore -e ignore npfctl debug "$(atf_get_srcdir)/npftest.conf" ./npf.plist
+       atf_check -o ignore npftest -c npf.plist -T "${name}"
+}
+
+add_test()
+{
+       local name="${1}"; shift
+       local desc="${*}";
+
+       atf_test_case "npf_${name}"
+       eval "npf_${name}_head() { \
+                       atf_set \"descr\" \"${desc}\"; \
+               }; \
+           npf_${name}_body() { \
+                       run_test \"${name}\"; \
+               }"
+       atf_add_test_case "npf_${name}"
+}
+
+atf_init_test_cases()
+{
+       LIST=/tmp/t_npf.$$
+       trap "rm -f $LIST" EXIT
+
+       npftest -L > $LIST
+
+       while read tag desc
+       do
+               add_test "${tag}" "${desc}"
+       done < $LIST
+}



Home | Main Index | Thread Index | Old Index